OpenIsle Docs
API 概览
React to comment POST
Api
Comments
Commentid
Reactions

# React to comment

React to a comment

POST
/`api`/`comments`/`{commentId}`/`reactions`

## Authorization

AuthorizationBearer <token>

In: `header`

## Path Parameters

commentIdinteger
Format `int64`

## Request Body

type?string
Value in`"LIKE" | "DISLIKE" | "SMILE" | "RECOMMEND" | "CONGRATULATIONS" | "ANGRY" | "FLUSHED" | "STAR_STRUCK" | "ROFL" | "HOLDING_BACK_TEARS" | "MIND_BLOWN" | "POOP" | "CLOWN" | "SKULL" | "FIRE" | "EYES" | "FROWN" | "HOT" | "EAGLE" | "SPIDER" | "BAT" | "CHINA" | "USA" | "JAPAN" | "KOREA"`

## Response Body

###

    curl -X POST "https://www.open-isle.com/api/comments/0/reactions" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "type": "LIKE",
      "user": "string",
      "postId": 0,
      "commentId": 0,
      "messageId": 0,
      "reward": 0
    }

Unread count GET

Previous Page

Reply to comment POST

Next Page

    curl -X POST "https://www.open-isle.com/api/comments/0/reactions" \
      -H "Content-Type: application/json" \
      -d '{}'